Page MenuHomePhabricator

[analyzer] List checker/plugin options in 3 categories: released, alpha, developer
ClosedPublic

Authored by Szelethus on May 17 2019, 7:11 PM.

Details

Summary

Literally the same as D62093, but for checker/package options. Sorry for the lack of formatting at some parts -- I definitely wanted to share the code to gather feedback, as I don't have much time left to wrap this project up.

Diff Detail

Event Timeline

Szelethus created this revision.May 17 2019, 7:11 PM
Szelethus retitled this revision from [analyzer] Categorize checker/plugin options into 3 categories, same as for checkers to [analyzer] List checker/plugin options in 3 categories: released, alpha, developer.May 22 2019, 11:05 AM
Szelethus updated this revision to Diff 200856.May 22 2019, 6:15 PM

Removed the beta phase as discussed on the mailing list.

NoQ accepted this revision.May 23 2019, 12:52 PM

Thank you. This formalization work made things a lot easier and safer to deal with.

This revision is now accepted and ready to land.May 23 2019, 12:52 PM

Ooooops, committed in rC361566 with the wrong revision name.

Alright, builbots don't seem to complain just yet. Thank you so much for all the help!!! This patch concludes the analyzer configuration project for good :)